﻿<Window
    x:Class="WpfApp1.TreeView"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    Title="TreeView"
    Width="800"
    Height="450"
    mc:Ignorable="d">
    <Grid>
        <StackPanel>
            <TreeView FontSize="20">
                <TreeViewItem Header="AAA">
                    <TreeViewItem Header="BBB">
                        <TreeViewItem Header="CCC" />
                    </TreeViewItem>
                </TreeViewItem>
            </TreeView>
            <TreeView Margin="10" FontSize="20">
                <TreeViewItem>
                    <TreeViewItem.Header>
                        <StackPanel Orientation="Horizontal">
                            <Ellipse
                                Width="10"
                                Height="10"
                                Fill="Red" />
                            <TextBlock Text="BBB" />
                        </StackPanel>
                    </TreeViewItem.Header>
                    <TreeViewItem Header="CCC" />
                </TreeViewItem>
            </TreeView>

            <TreeView
                x:Name="CTreeView"
                Margin="10"
                FontSize="20">
                <TreeView.ItemTemplate>
                    <HierarchicalDataTemplate DataType="local:ListViewDto" ItemsSource="{Binding ListViewDtos}">
                        <TextBlock Text="{Binding Name}" />
                    </HierarchicalDataTemplate>
                </TreeView.ItemTemplate>
            </TreeView>
        </StackPanel>
    </Grid>
</Window>